
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<link rel="shortcut icon" type="image/x-icon" href="style/favicon.ico"/>
<link href="style/style.css" rel="stylesheet" type="text/css" />
<link href="style/bootstrap.min.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>
<script type="text/javascript" src="js/gatling.js"></script>
<script type="text/javascript" src="js/moment.min.js"></script>
<script type="text/javascript" src="js/menu.js"></script>
<script type="text/javascript" src="js/all_sessions.js"></script>
<script type="text/javascript" src="js/stats.js"></script>
<script type="text/javascript" src="js/highstock.js"></script>
<script type="text/javascript" src="js/highcharts-more.js"></script>
<script type="text/javascript" src="js/theme.js"></script>
<script type="text/javascript" src="js/unpack.js"></script>
<title>Gatling Stats - Create article: Second title</title>
</head>
<body>
<div class="frise"></div>
<div class="container details">
    <div class="head">
        <a class="logo" href="https://gatling.io" target="blank_" title="Gatling Home Page"><img alt="Gatling" src="style/logo.png"/></a>
        <div><a href="https://gatling.io/gatling-frontline/?report" target="_blank">Get more features with Gatling FrontLine</a></div>
    </div>
    <div class="main">
        <div class="cadre">
                <div class="onglet">
                    <img src="style/cible.png" />
                    <p><span>performancetest</span></p>
                </div>
                <div class="content">
                    <div class="sous-menu">
                        <div class="item "><a href="index.html">GLOBAL</a></div>
                        <div class="item ouvert"><a id="details_link" href="#">DETAILS</a></div>
                        <script type="text/javascript">
                          var timestamp = 1616162080713;
                          var runStartHumanDate = moment(timestamp).format("YYYY-MM-DD HH:mm:ss Z");
                          document.writeln("<p class='sim_desc' title='"+ runStartHumanDate +", duration : 57 seconds' data-content='| Performance test suite.'>");
                          document.writeln("<b>" + runStartHumanDate + ", duration : 57 seconds | Performance test suite.</b>");
                          document.writeln("</p>");
                        </script>
                    </div>
                    <div class="content-in">
                        <h1><span>> </span>Create article: Second title</h1>
                        <div class="article">
                            
                        <div class="infos">
                            <div class="infos-in">
	                        <div class="infos-title">STATISTICS</div>
                                <div class="repli"></div>                               
                                <div class="info">
                                    <h2 class="first">Executions</h2>
                                    <table>
                                        <thead>
                                            <tr><th></th><th>Total</th><th>OK</th><th>KO</th></tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td class="title"></td>
                                                <td id="numberOfRequests" class="total"></td>
                                                <td id="numberOfRequestsOK" class="ok"></td>
                                                <td id="numberOfRequestsKO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">Mean req/s</td>
                                                <td id="meanNumberOfRequestsPerSecond" class="total"></td>
                                                <td id="meanNumberOfRequestsPerSecondOK" class="ok"></td>
                                                <td id="meanNumberOfRequestsPerSecondKO" class="ko"></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    <h2 class="second">Response Time (ms)</h2>
                                    <table>
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th>Total</th>
                                                <th>OK</th>
                                                <th>KO</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td class="title">Min</td>
                                                <td id="minResponseTime" class="total"></td>
                                                <td id="minResponseTimeOK" class="ok"></td>
                                                <td id="minResponseTimeKO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">50th percentile</td>
                                                <td id="percentiles1" class="total"></td>
                                                <td id="percentiles1OK" class="ok"></td>
                                                <td id="percentiles1KO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">75th percentile</td>
                                                <td id="percentiles2" class="total"></td>
                                                <td id="percentiles2OK" class="ok"></td>
                                                <td id="percentiles2KO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">95th percentile</td>
                                                <td id="percentiles3" class="total"></td>
                                                <td id="percentiles3OK" class="ok"></td>
                                                <td id="percentiles3KO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">99th percentile</td>
                                                <td id="percentiles4" class="total"></td>
                                                <td id="percentiles4OK" class="ok"></td>
                                                <td id="percentiles4KO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">Max</td>
                                                <td id="maxResponseTime" class="total"></td>
                                                <td id="maxResponseTimeOK" class="ok"></td>
                                                <td id="maxResponseTimeKO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">Mean</td>
                                                <td id="meanResponseTime" class="total"></td>
                                                <td id="meanResponseTimeOK" class="ok"></td>
                                                <td id="meanResponseTimeKO" class="ko"></td>
                                            </tr>
                                            <tr>
                                                <td class="title">Std Deviation</td>
                                                <td id="standardDeviation" class="total"></td>
                                                <td id="standardDeviationOK" class="ok"></td>
                                                <td id="standardDeviationKO" class="ko"></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>

            <div class="schema demi">
              <div id="container_indicators" class="demi"></div>
            </div>

            <div class="schema geant">
              <div id="container_distrib" class="geant"></div>
            </div>

            <div class="schema geant">
              <div id="container" class="geant"></div>
            </div>

            <div class="schema geant">
              <a name="requests"></a>
                <div id="container_requests" class="geant"></div>
            </div>

            <div class="schema geant">
              <a name="responses"></a>
                <div id="container_responses" class="geant"></div>
            </div>

            <div class="schema geant">
              <div id="container_response_time_dispersion" class="geant"></div>
            </div>

                        </div>
                    </div>
                </div>
        </div>
    </div>
    <div class="nav">
        <ul></ul>
    </div>
</div>
<div class="foot">
    <a href="https://gatling.io" title="Gatling Home Page"><img alt="Gatling" src="style/logo-gatling.jpg"/></a>
</div>
<script type="text/javascript">
    var pageStats = stats.contents['req_create-article--6b714'].stats;
    $(document).ready(function() {
        $('.sim_desc').popover({trigger:'hover', placement:'bottom'});
        setDetailsLinkUrl();
        setDetailsMenu();
        setActiveMenu();
        fillStats(pageStats);
        
Highcharts.setOptions({
  global: { useUTC: false }
});

var indicatorsChart = new Highcharts.Chart({
  chart: {
    renderTo: 'container_indicators',
    marginRight: 150
  },
  credits: { enabled: false },
  legend: { enabled: false },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  xAxis: {
    categories: [
      pageStats.group1.name,
      pageStats.group2.name,
      pageStats.group3.name,
      pageStats.group4.name
    ]
  },
  yAxis: {
    title: { text: 'Number of Requests' }
  },
  tooltip: {
    formatter: function() {
      var s;
      if (this.point.name) { // the pie chart
        s = ''+ this.point.name +': '+ this.y +'% requests';
      } else {
        s = ''+ this.y + ' requests';
      }
      return s;
    }
  },
  plotOptions: {
    series: {
      stacking: 'normal',
      shadow: true
    }
  },
  series: [
    {
      type: 'column',
      data: [{
      	color: '#A0B228',
      	y: pageStats.group1.count
      },
      {
      	color: '#FFDD00',
      	y: pageStats.group2.count
      },
      {
      	color: '#FF9D00',
      	y: pageStats.group3.count
      },
      {
      	color: '#FF0000',
      	y: pageStats.group4.count
      }]
    },
    {
      type: 'pie',
      name: 'Percentages',
      data: [
        {
          name: pageStats.group1.name,
          y: pageStats.group1.percentage,
          color: '#A0B228'
        },
        {
          name: pageStats.group2.name,
          y: pageStats.group2.percentage,
          color: '#FFDD00'
        },
        {
          name: pageStats.group3.name,
          y: pageStats.group3.percentage,
          color: '#FF9D00'
        },
        {
          name: pageStats.group4.name,
          y: pageStats.group4.percentage,
          color: '#FF0000'
        }
      ],
      center: [470, 85],
      size: 100,
      showInLegend: false,
      dataLabels: { enabled: false }
    }
  ]
});

indicatorsChart.setTitle({
  text: '<span class="chart_title">Indicators</span>',
  useHTML: true
});

	    $('#container_errors').sortable('#container_errors');
    
var responseTimeDistributionChart = new Highcharts.Chart({
  chart: {
    renderTo: 'container_distrib',
    type: 'column'
  },
  credits: {
    enabled: false
  },
  legend: {
    enabled: true,
    floating: true,
    y: -285,
    borderWidth: 0,
    itemStyle: {
      fontWeight: "normal"
    }
  },
  title: {
    text: 'A title to let highcharts reserve the place for the title set later'
  },
  xAxis: {
    categories: ['326', '332', '338', '344', '350', '356', '362', '368', '374', '380', '386', '392', '398', '404', '410', '416', '422', '428', '434', '440', '446', '452', '458', '464', '470', '475', '481', '487', '493', '499', '505', '511', '517', '523', '529', '535', '541', '547', '553', '559', '565', '571', '577', '583', '589', '595', '601', '607', '613', '619', '625', '631', '637', '643', '649', '655', '661', '667', '673', '679', '685', '691', '697', '703', '709', '715', '721', '727', '733', '739', '745', '751', '757', '763', '769', '774', '780', '786', '792', '798', '804', '810', '816', '822', '828', '834', '840', '846', '852', '858', '864', '870', '876', '882', '888', '894', '900', '906', '912', '918'],
    tickInterval: 20
  },
  yAxis: {
    min: 0,
    title: {
      text: 'Percentage of Requests'
    }
  },
  tooltip: {
    formatter: function() {
      return '<b>'+ this.x +' ms</b><br/>'+
      this.series.name +': '+ this.y +' %<br/>'+
      'Total: '+ this.point.stackTotal + ' %';
    }
  },
  plotOptions: {
    series: {
      groupPadding: 0,
      stacking: 'normal',
      shadow: true
    }
  },
  series: [
  	{
type: 'column',
color: '#4572A7',
name: 'OK',
data: [
  1.19,0.0,0.0,0.0,0.0,2.38,1.19,0.0,0.0,2.38,0.0,0.0,0.0,0.0,2.38,1.19,0.0,4.76,0.0,0.0,1.19,0.0,0.0,1.19,0.0,0.0,1.19,1.19,3.57,4.76,0.0,0.0,3.57,0.0,1.19,0.0,1.19,0.0,4.76,1.19,4.76,3.57,3.57,5.95,4.76,4.76,4.76,2.38,3.57,1.19,1.19,3.57,2.38,2.38,1.19,0.0,1.19,1.19,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.19,0.0,1.19,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.19,1.19,0.0,0.0,0.0,1.19,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.19
],
tooltip: { yDecimals: 0, ySuffix: 'ms' }
},
  	{
type: 'column',
color: '#FF0000',
name: 'KO',
data: [
  0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0
],
tooltip: { yDecimals: 0, ySuffix: 'ms' }
}
  ]
});

responseTimeDistributionChart.setTitle({
  text: '<span class="chart_title">Response Time Distribution</span>',
  useHTML: true
});

var responseTimePercentiles = unpack([[1616162085,[566,566,566,566,566,566,566,566,566,566]],[1616162086,null],[1616162087,[493,493,493,493,493,493,493,493,493,493]],[1616162088,null],[1616162089,null],[1616162090,[501,501,501,501,501,501,501,501,501,501]],[1616162091,[489,489,489,489,489,489,489,489,489,489]],[1616162092,[518,518,518,518,518,518,518,518,518,518]],[1616162093,[497,497,497,497,497,497,497,497,497,497]],[1616162094,[500,500,500,500,500,500,500,500,500,500]],[1616162095,[498,498,498,498,498,498,498,498,498,498]],[1616162096,[588,588,588,588,588,588,588,588,588,588]],[1616162097,[323,323,323,323,323,323,323,323,323,323]],[1616162098,[495,495,495,495,495,495,495,495,495,495]],[1616162099,[481,481,481,481,481,481,481,481,481,481]],[1616162100,[517,517,517,517,517,517,517,517,517,517]],[1616162101,[358,358,358,358,358,358,358,358,358,358]],[1616162102,[528,528,528,528,528,528,528,528,528,528]],[1616162103,null],[1616162104,[517,531,546,560,563,566,569,572,574,575]],[1616162105,null],[1616162106,[361,361,361,361,361,361,361,361,361,361]],[1616162107,[377,377,377,377,377,377,377,377,377,377]],[1616162108,[353,353,353,353,353,353,353,353,353,353]],[1616162109,null],[1616162110,[566,566,566,566,566,566,566,566,566,566]],[1616162111,[604,604,605,606,606,606,606,606,606,607]],[1616162112,[638,640,642,644,645,645,646,646,646,647]],[1616162113,[601,601,601,601,601,601,601,601,601,601]],[1616162114,[596,596,597,599,600,600,601,601,601,602]],[1616162115,[570,570,571,572,572,572,572,572,572,573]],[1616162116,[552,559,567,574,576,577,579,580,581,582]],[1616162117,[554,564,574,593,596,600,604,608,611,612]],[1616162118,[625,626,628,636,637,639,640,642,643,644]],[1616162119,[446,503,561,612,622,633,643,653,661,664]],[1616162120,[381,426,472,517,526,535,544,553,561,563]],[1616162121,[465,496,528,560,566,572,579,585,590,592]],[1616162122,[427,427,427,427,427,427,427,427,427,427]],[1616162123,[407,410,501,592,592,593,593,594,594,595]],[1616162124,[586,589,597,605,606,607,608,609,609,610]],[1616162125,[426,559,583,607,611,615,620,624,628,629]],[1616162126,[426,490,554,566,568,570,573,575,577,578]],[1616162127,[492,554,602,651,662,707,752,797,833,843]],[1616162128,[413,499,586,599,601,604,606,609,611,612]],[1616162129,[576,637,740,780,798,822,855,888,914,921]],[1616162130,[427,506,585,609,614,619,624,629,633,634]],[1616162131,null],[1616162132,null],[1616162133,null],[1616162134,null],[1616162135,null],[1616162136,[814,814,814,814,814,814,814,814,814,814]],[1616162137,null],[1616162138,null]]);

var responseTimeChart = new Highcharts.StockChart({
  chart: {
    renderTo: 'container',
    zoomType: 'x'
  },
  colors: ['#C4FD90', '#7FF77F', '#6FF2AD', '#60ECE5', '#51A8E7', '#4353E2', '#7335DC', '#BC28D7', '#D11C97', '#C73905', 'Orange'],
  credits: { enabled: false },
  legend: {
    enabled: true,
    floating: true,
    y: -65,
    borderWidth: 0,
    itemStyle: { fontWeight: "normal" }
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  navigator: { baseSeries: 9 },
  rangeSelector: {
    rangeSelector: { align: "left" },
    buttonSpacing: 0,
    buttonTheme: {
      fill: 'LightGrey',
      padding: 1,
      stroke: 'Black',
      'stroke-width': 0.25,
      style: {
        color: 'Black',
        fontWeight: 'bold',
      },
      states: {
        stroke: 'Black',
        'stroke-width': 0.25,
        hover: {
          fill: 'DarkGrey',
          style: { color: 'black' }
        },
        select: {
          fill: 'DarkOrange',
          style: { color: 'white' }
        }
      }
    },
    buttons : [
      {
        type : 'minute',
        count : 1,
        text : '1m'
      }, {
        type : 'minute',
        count : 10,
        text : '10m'
      }, {
        type : 'hour',
        count : 1,
        text : '1h'
      }, {
        type : 'all',
        count : 1,
        text : 'All'
      }
    ],
    selected : 3,
    inputEnabled : false
  },
  xAxis: {
    type: 'datetime',
    ordinal: false,
    maxZoom: 10000 // three days
  },
  yAxis:[
    {
      min: 0,
      title: {
        text: 'Response Time (ms)',
        style: { color: '#4572A7' }
      },
      opposite: false
    }, {
      min: 0,
      title: {
        text: 'Active Users',
        style: { color: '#FF9D00' }
      },
      opposite: true
    }
  ],
  plotOptions: {
    arearange: { lineWidth: 1 },
    series: {
      dataGrouping: { enabled: false }
    }
  },
  series: [
  
    
         {
pointInterval: 1000,
name: 'min',
data: responseTimePercentiles[0],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 10
},
         {
pointInterval: 1000,
name: '25%',
data: responseTimePercentiles[1],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 9
},
         {
pointInterval: 1000,
name: '50%',
data: responseTimePercentiles[2],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 8
},
         {
pointInterval: 1000,
name: '75%',
data: responseTimePercentiles[3],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 7
},
         {
pointInterval: 1000,
name: '80%',
data: responseTimePercentiles[4],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 6
},
         {
pointInterval: 1000,
name: '85%',
data: responseTimePercentiles[5],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 5
},
         {
pointInterval: 1000,
name: '90%',
data: responseTimePercentiles[6],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 4
},
         {
pointInterval: 1000,
name: '95%',
data: responseTimePercentiles[7],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 3
},
         {
pointInterval: 1000,
name: '99%',
data: responseTimePercentiles[8],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 2
},
         {
pointInterval: 1000,
name: 'max',
data: responseTimePercentiles[9],
tooltip: { yDecimals: 0, ySuffix: 'ms' },
type : 'area',
yAxis: 0,
zIndex: 1
},
  allUsersData
  ]
});

responseTimeChart.setTitle({
  text: '<span class="chart_title chart_title_">Response Time Percentiles over Time (OK)</span>',
  useHTML: true
});

var container_requests = unpack([[1616162085,[1,0, 1]],[1616162086,[0,0, 0]],[1616162087,[1,0, 1]],[1616162088,[0,0, 0]],[1616162089,[0,0, 0]],[1616162090,[1,0, 1]],[1616162091,[1,0, 1]],[1616162092,[1,0, 1]],[1616162093,[1,0, 1]],[1616162094,[1,0, 1]],[1616162095,[1,0, 1]],[1616162096,[1,0, 1]],[1616162097,[1,0, 1]],[1616162098,[1,0, 1]],[1616162099,[1,0, 1]],[1616162100,[1,0, 1]],[1616162101,[1,0, 1]],[1616162102,[1,0, 1]],[1616162103,[0,0, 0]],[1616162104,[2,0, 2]],[1616162105,[0,0, 0]],[1616162106,[1,0, 1]],[1616162107,[1,0, 1]],[1616162108,[1,0, 1]],[1616162109,[0,0, 0]],[1616162110,[1,0, 1]],[1616162111,[2,0, 2]],[1616162112,[2,0, 2]],[1616162113,[1,0, 1]],[1616162114,[3,0, 3]],[1616162115,[2,0, 2]],[1616162116,[2,0, 2]],[1616162117,[3,0, 3]],[1616162118,[3,0, 3]],[1616162119,[3,0, 3]],[1616162120,[2,0, 2]],[1616162121,[2,0, 2]],[1616162122,[1,0, 1]],[1616162123,[4,0, 4]],[1616162124,[4,0, 4]],[1616162125,[6,0, 6]],[1616162126,[3,0, 3]],[1616162127,[6,0, 6]],[1616162128,[3,0, 3]],[1616162129,[7,0, 7]],[1616162130,[3,0, 3]],[1616162131,[0,0, 0]],[1616162132,[0,0, 0]],[1616162133,[0,0, 0]],[1616162134,[0,0, 0]],[1616162135,[0,0, 0]],[1616162136,[1,0, 1]],[1616162137,[0,0, 0]],[1616162138,[0,0, 0]]]);

var requestsChart = new Highcharts.StockChart({
  chart: {
    renderTo: 'container_requests',
    zoomType: 'x'
  },
  credits: { enabled: false },
  legend: {
    enabled: true,
    floating: true,
    itemDistance: 10,
    y: -285,
    borderWidth: 0,
    itemStyle: { fontWeight: "normal" }
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  rangeSelector: {
    buttonSpacing: 0,
    buttonTheme: {
      fill: 'LightGrey',
      padding: 1,
      stroke: 'Black',
      'stroke-width': 0.25,
      style: {
        color: 'Black',
        fontWeight: 'bold',
      },
      states: {
        stroke: 'Black',
        'stroke-width': 0.25,
        hover: {
          fill: 'DarkGrey',
          style: { color: 'black' }
         },
         select: {
          fill: 'DarkOrange',
          style: { color: 'white' }
        }
      }
    },
    buttons : [
      {
        type : 'minute',
        count : 1,
        text : '1m'
      }, {
        type : 'minute',
        count : 10,
        text : '10m'
      }, {
        type : 'hour',
        count : 1,
        text : '1h'
      }, {
        type : 'all',
        count : 1,
        text : 'All'
      }
    ],
    selected : 3,
    inputEnabled : false
  },
  plotOptions: {
    series: {
      dataGrouping: { enabled: false }
    },
    area: {
      stacking: 'normal'
    }
  },
  xAxis: {
    type: 'datetime',
    ordinal: false,
    maxZoom: 10000 // three days
  },
  yAxis:[
    {
      min: 0,
      title: {
        text: 'Number of requests',
        style: { color: '#4572A7' }
      },
      opposite: false
    }, {
      min: 0,
      title: {
        text: 'Active Users',
        style: { color: '#FF9D00' }
      },
      opposite: true
    }
  ],
  series: [
    {
color: '#4572A7',
name: 'All',
data: container_requests[0],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
,type: 'area'},
    allUsersData
  ]
});

requestsChart.setTitle({
  text: '<span class="chart_title">Number of requests per second</span>',
  useHTML: true
});

var container_responses = unpack([[1616162085,[0,0, 0]],[1616162086,[1,0, 1]],[1616162087,[0,0, 0]],[1616162088,[1,0, 1]],[1616162089,[0,0, 0]],[1616162090,[0,0, 0]],[1616162091,[1,0, 1]],[1616162092,[1,0, 1]],[1616162093,[1,0, 1]],[1616162094,[1,0, 1]],[1616162095,[1,0, 1]],[1616162096,[1,0, 1]],[1616162097,[2,0, 2]],[1616162098,[0,0, 0]],[1616162099,[2,0, 2]],[1616162100,[0,0, 0]],[1616162101,[1,0, 1]],[1616162102,[1,0, 1]],[1616162103,[1,0, 1]],[1616162104,[1,0, 1]],[1616162105,[1,0, 1]],[1616162106,[1,0, 1]],[1616162107,[1,0, 1]],[1616162108,[1,0, 1]],[1616162109,[0,0, 0]],[1616162110,[1,0, 1]],[1616162111,[1,0, 1]],[1616162112,[2,0, 2]],[1616162113,[1,0, 1]],[1616162114,[2,0, 2]],[1616162115,[3,0, 3]],[1616162116,[2,0, 2]],[1616162117,[3,0, 3]],[1616162118,[2,0, 2]],[1616162119,[4,0, 4]],[1616162120,[3,0, 3]],[1616162121,[1,0, 1]],[1616162122,[2,0, 2]],[1616162123,[2,0, 2]],[1616162124,[3,0, 3]],[1616162125,[5,0, 5]],[1616162126,[5,0, 5]],[1616162127,[4,0, 4]],[1616162128,[5,0, 5]],[1616162129,[4,0, 4]],[1616162130,[8,0, 8]],[1616162131,[0,0, 0]],[1616162132,[0,0, 0]],[1616162133,[0,0, 0]],[1616162134,[0,0, 0]],[1616162135,[0,0, 0]],[1616162136,[0,0, 0]],[1616162137,[1,0, 1]],[1616162138,[0,0, 0]]]);

var requestsChart = new Highcharts.StockChart({
  chart: {
    renderTo: 'container_responses',
    zoomType: 'x'
  },
  credits: { enabled: false },
  legend: {
    enabled: true,
    floating: true,
    itemDistance: 10,
    y: -285,
    borderWidth: 0,
    itemStyle: { fontWeight: "normal" }
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  rangeSelector: {
    buttonSpacing: 0,
    buttonTheme: {
      fill: 'LightGrey',
      padding: 1,
      stroke: 'Black',
      'stroke-width': 0.25,
      style: {
        color: 'Black',
        fontWeight: 'bold',
      },
      states: {
        stroke: 'Black',
        'stroke-width': 0.25,
        hover: {
          fill: 'DarkGrey',
          style: { color: 'black' }
         },
         select: {
          fill: 'DarkOrange',
          style: { color: 'white' }
        }
      }
    },
    buttons : [
      {
        type : 'minute',
        count : 1,
        text : '1m'
      }, {
        type : 'minute',
        count : 10,
        text : '10m'
      }, {
        type : 'hour',
        count : 1,
        text : '1h'
      }, {
        type : 'all',
        count : 1,
        text : 'All'
      }
    ],
    selected : 3,
    inputEnabled : false
  },
  plotOptions: {
    series: {
      dataGrouping: { enabled: false }
    },
    area: {
      stacking: 'normal'
    }
  },
  xAxis: {
    type: 'datetime',
    ordinal: false,
    maxZoom: 10000 // three days
  },
  yAxis:[
    {
      min: 0,
      title: {
        text: 'Number of responses',
        style: { color: '#4572A7' }
      },
      opposite: false
    }, {
      min: 0,
      title: {
        text: 'Active Users',
        style: { color: '#FF9D00' }
      },
      opposite: true
    }
  ],
  series: [
    {
color: '#4572A7',
name: 'All',
data: container_responses[0],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
},
{
color: '#FF0000',
name: 'KO',
data: container_responses[1],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
,type: 'area'},
{
color: '#A0B228',
name: 'OK',
data: container_responses[2],
tooltip: { yDecimals: 0, ySuffix: '', valueDecimals: 0 }
,type: 'area'},
    allUsersData,
{
  
type: 'pie',
name: 'Distribution',
data: [
  {name: 'OK', y: 84.0, color: '#A0B228'},{name: 'KO', y: 0.0, color: '#FF0000'}
],
center: [775, -40],
size: 70,
showInLegend: false,
dataLabels: { enabled: false },
dataGrouping: { enabled: false }

}

  ]
});

requestsChart.setTitle({
  text: '<span class="chart_title">Number of responses per second</span>',
  useHTML: true
});

var scatterChart = new Highcharts.Chart({
  chart: {
    renderTo: 'container_response_time_dispersion', 
    defaultSeriesType: 'scatter',
    zoomType: 'xy'
  },
  credits: { enabled: false },
  xAxis: {
    title: {
      enabled: true,
      text: 'Global number of requests per second',
      style: { fontWeight: 'bold' }
    },
    startOnTick: true,
    endOnTick: true,
    showLastLabel: true,
    min: 0
  },
  title: { text: 'A title to let highcharts reserve the place for the title set later' },
  yAxis: {
    min: 0,
    title: { text: 'Response Time' }
  },
  tooltip: {
    formatter: function() {
         return ''+ this.y +' ms at ' + this.x + ' allreq/s';
    }
  },
  legend: {
    layout: 'vertical',
    align: 'left',
    verticalAlign: 'top',
    x: 80,
    y: 10,
    floating: true,
    backgroundColor: '#FFFFFF',
    borderWidth: 1,
    borderRadius: 3,
    itemStyle: {
      fontWeight: "normal",
      color: "#274B6D"
    }
  },
  plotOptions: {
    scatter: {
      marker: {
        radius: 3,
        states: {
          hover: {
            enabled: true,
            lineColor: 'rgb(100,100,100)'
          }
        }
      },
      states: {
        hover: {
          marker: { enabled: false }
        }
      }
    }
  },
  series: [
	  {
type: 'scatter',
color: 'rgba(69, 114, 167, .2)',
name: 'OK',
data: [
[1,493],[1,814],[2,501],[2,517],[2,528],[2,377],[3,566],[3,489],[3,518],[3,497],[3,500],[3,498],[3,588],[3,323],[3,495],[3,481],[3,361],[3,353],[4,358],[4,566],[4,585],[5,606],[5,646],[5,601],[5,427],[6,572],[6,553],[7,601],[7,572],[7,580],[8,629],[9,608],[9,642],[9,653],[9,609],[10,594],[10,575],[12,609],[18,624],[18,797],[21,888]
]},
	  {
type: 'scatter',
color: 'rgba(255, 0, 0, .2)',
name: 'KO',
data: [
[]
]}
	]
});

scatterChart.setTitle({
  text: '<span class="chart_title">Response Time against Global RPS</span>',
  useHTML: true
});

    });
</script>
</body>
</html>
